> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Merchant Residuals

> Paginated merchant-level residual details with search, sort, and incremental sync support.



## OpenAPI

````yaml GET /api/partner/residuals/reports/{year}/{month}/merchants
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/residuals/reports/{year}/{month}/merchants:
    get:
      tags:
        - Residuals
        - Residuals
      summary: Get merchant residuals
      description: >-
        Paginated merchant-level residual details with search, sort, and
        incremental sync support.
      operationId: >-
        get_merchant_residuals_api_partner_residuals_reports__year___month__merchants_get
      parameters:
        - name: year
          in: path
          required: true
          schema:
            type: integer
            maximum: 2100
            minimum: 2000
            description: Report year
            title: Year
          description: Report year
          example: 2025
        - name: month
          in: path
          required: true
          schema:
            type: integer
            maximum: 12
            minimum: 1
            description: Report month
            title: Month
          description: Report month
          example: 1
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
          example: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 25
            title: Page Size
          description: Items per page
          example: 25
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            description: 'Sort field: volume, profit, agent_payout, dba_name'
            default: agent_payout
            title: Sort By
          description: 'Sort field: volume, profit, agent_payout, dba_name'
        - name: sort_order
          in: query
          required: false
          schema:
            type: string
            pattern: ^(asc|desc)$
            description: Sort direction
            default: desc
            title: Sort Order
          description: Sort direction
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 100
            description: Search by merchant name or ID
            title: Search
          description: Search by merchant name or ID
        - name: updated_since
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: ISO-8601 timestamp for incremental sync
            title: Updated Since
            nullable: true
          description: ISO-8601 timestamp for incremental sync
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '422':
          description: Invalid sort_by or year/month
        '429':
          description: Rate limit exceeded
        '503':
          description: Residuals data source unavailable

````